<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <GridLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:rowCount="9"
    >

        <TextView
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:text="SIP registration"
            android:textSize="12pt"
            android:textAlignment="center"
            android:layout_marginTop="10dp"
        />

        <EditText
            android:id="@+id/inputDisplayName"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="1"
            android:hint="Display name"
            android:inputType="text"
        />

        <EditText
            android:id="@+id/inputUserName"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="2"
            android:hint="Username"
            android:inputType="text"
        />

        <EditText
            android:id="@+id/inputAuthenticationID"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="3"
            android:hint="Authentication ID"
            android:inputType="text"
        />

        <EditText
            android:id="@+id/inputRegisterPassword"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="4"
            android:inputType="textPassword"
            android:hint="Password"
        />

        <EditText
            android:id="@+id/inputDomainHost"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="5"
            android:hint="Host e.g.: 127.0.0.1"
            android:inputType="text"
        />

        <EditText
            android:id="@+id/inputDomainPort"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:layout_row="6"
            android:hint="Port e.g.: 5060"
            android:inputType="text"
        />

        <Button
            android:id="@+id/btnLogin"
            android:layout_width="300dp"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_height="wrap_content"
            android:layout_column="0"
            android:backgroundTint="@android:color/holo_red_light"
            android:textColor="@android:color/white"
            android:layout_row="7"
            android:text="Login"
        />

        <GridLayout
            android:layout_width="300dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|center_horizontal"
            android:layout_row="8"
            android:layout_column="0"
            android:rowCount="2"
            android:columnCount="1"
        >

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="10pt"
                android:text="Log:"
                android:layout_row="0"/>

            <TextView
                android:id="@+id/log"
                android:layout_width="match_parent"
                android:layout_height="120dp"/>

        </GridLayout>

    </GridLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>
